<!DOCTYPE html>
<html lang="en">
<head>
    <title>Story9</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
    <style>
		body,
		html {
			margin: 0;
			padding: 0;
			height: 100%;
		}
		body{
            background:url("/static/login.jpeg");
            padding-bottom: 65vw;
            background-size: cover;
            font-family: Arial, Helvetica, sans-serif;
        }
		.user_card {
			width: 350px;
			margin-top: 200px;
			margin-bottom: auto;
			background: black;
			position: relative;
			display: flex;
			justify-content: center;
			flex-direction: column;
			padding: 10px;
			box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
			-webkit-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
			-moz-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
			border-radius: 5px;

		}

		.form_container {
			margin-top: 20px;
		}

		#form-title{
			color: #7abecc;
		}
		.login_btn {
			width: 100%;
			background: black;
			color: #7abecc;
		}
		.login_btn:focus {
			box-shadow: none;
			outline: 0px;
		}
		.login_container {
			padding: 0 2rem;
		}
		

	</style>

</head>
<body>
    <div class="container">
		<div class="d-flex justify-content-center">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<h3 id="form-title">REGISTER ACCOUNT</h3>
				</div>
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							{{form.username}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
							</div>
							{{form.email}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>



				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn login_btn" type="submit" value="Register Account">
						   </div>
					</form>
				</div>

				{% if form.errors %}
            	<div class="alert alert-warning  d-flex justify-content-center mt-4 " role="alert">
                	{{form.errors}}
              	</div>
            	{% endif %}
            
            	{%for message in messages%}
                	<div class="alert alert-success  d-flex justify-content-center mt-4" role="alert">
                    	{{message}}
                	</div>
            	{%endfor%}

				
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Already have an account? <a href="{% url 'login' %}" class="ml-2">Login</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script>
						/* Because i didnt set placeholder values in forms.py they will be set here using vanilla Javascript
		//We start indexing at one because CSRF_token is considered and input field 
		 */

		//Query All input fields
		var form_fields = document.getElementsByTagName('input')
		form_fields[1].placeholder='Username';
		form_fields[2].placeholder='Email';
		form_fields[3].placeholder='Enter password';
		form_fields[4].placeholder='Re-enter Password';


		for (var field in form_fields){	
			form_fields[field].className += ' form-control'
		}
	</script>

</body>
</html>